From: Michael Fladischer <fladi@debian.org>
Date: Thu, 8 Oct 2015 08:50:54 -0700
Subject: Disable objects.inv download for sphinx.

 The python-django-doc package does not ship a objects.inv file by now, so there
 is no sense in keeping intersphinx enabled. Once it is shipped, the patch
 should switch to using the locally available Django objects.inv.
Last-Update: 2014-04-25
Forwarded: not-needed

Patch-Name: intersphinx.patch
---
 docs/conf.py | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

diff --git a/docs/conf.py b/docs/conf.py
index 7173dbb..08ff4b8 100644
--- a/docs/conf.py
+++ b/docs/conf.py
@@ -10,7 +10,9 @@
 # All configuration values have a default; values that are commented out
 # serve to show the default.
 
+import os
 import datetime
+import django
 
 
 # If extensions (or modules to document with autodoc) are in another directory,
@@ -24,9 +26,19 @@ import datetime
 # coming with Sphinx (named 'sphinx.ext.*') or your custom ones.
 extensions = ["sphinx.ext.intersphinx"]
 
-intersphinx_mapping = {
-    'django': ('https://docs.djangoproject.com/en/3.2/', 'https://docs.djangoproject.com/en/3.2/_objects/'),
-}
+def check_object_path(key, url, path):
+    if os.path.isfile(path):
+        return {key: (url, path)}
+    return {}
+
+intersphinx_mapping = {}
+intersphinx_mapping.update(
+    check_object_path(
+        'django',
+        'https://docs.djangoproject.com/en/' + django.get_version() + '/',
+        '/usr/share/doc/python-django-doc/html/objects.inv'
+    )
+)
 
 # Add any paths that contain templates here, relative to this directory.
 templates_path = ['_templates']
